kickstart fails. reason is obscure.

Issues related to applications and software problems and general support
Post Reply
iwishitwouldwork
Posts: 71
Joined: 2014/02/08 14:56:39

kickstart fails. reason is obscure.

Post by iwishitwouldwork » 2020/07/31 02:19:02

Trying to kickstart CentOS 8. My kickstart server is working -- I kickstart a similar machine without incident.
It's an Intel NUC, and I have updated the BIOS to the latest and greatest.


Here's the error from anaconda.

Code: Select all

Starting installer, one moment...
terminal size detection failed, using default width
anaconda 29.19.2.17-1.el8 for CentOS Linux 8 started.
 * installation log files are stored in /tmp during the installation
 * shell is available on TTY2 and in second TMUX pane (ctrl+b, then press 2)
 * if the graphical installation interface fails to start, try again with the
   inst.text bootoption to start text installation
 * when reporting a bug add logs from /tmp as separate text/plain attachments
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/nm.py", line 130, in _get
_property
    prop = proxy.Get('(ss)', interface_name, prop)
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 204, in _
_call__
    None)
GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownM
ethod: No such interface 'org.freedesktop.DBus.Properties' on object at path /o
rg/freedesktop/NetworkManager/Devices/204 (19)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/sbin/anaconda", line 621, in <module>
    networkInitialize(ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/network.py", line 1528, i
n networkInitialize
    devnames = apply_kickstart(ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/network.py", line 1484, i
n apply_kickstart
    ifcfg_path = find_ifcfg_file_of_device(dev_name)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/network.py", line 1008, i
n find_ifcfg_file_of_device
    if devname not in nm.nm_devices():
  File "/usr/lib64/python3.6/site-packages/pyanaconda/nm.py", line 196, in nm_d
evices
    iface = _get_property(device, "Interface", ".Device")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/nm.py", line 136, in _get
_property
    raise UnknownMethodGetError
pyanaconda.nm.UnknownMethodGetError: UnknownMethodGetError()
Now, I've tried this a number of times and the above is the latest message but the message is not consistent. I didn't know how to save the anaconda msgs and I was loathe to simply re-type them so I did

Code: Select all

Alt-F2
cd /tmp
mkdir /tmp/uuu
mount /dev/sdb1 /tmp/uuu
/sbin/anaconda > /tmp/uuu/anaproper.msgs
tar cf /tmp/uuu/all.tar *log
As you can see, running anaconda the 2nd time concatenated the logs onto the first time. There were two empty log files, packaging.log and sensitive-info.log. syslog was too long to attach.

So, I'm completely at sea. As I said, the kickstart server should be fine. I've changed/simplified the kickstart configuration file a bunch. Any ideas?
Attachments
ifcfg.log
(4.65 KiB) Downloaded 8 times
dbus.log
(6.8 KiB) Downloaded 7 times
anaconda.log
(4.04 KiB) Downloaded 6 times

Post Reply

Return to “CentOS 8 - General Support”